6.0.0-git
2021-01-18

[#8599] Broken session data reading in MSSQL
Summary Broken session data reading in MSSQL
Queue Horde Base
Queue Version 3.3.5
Type Bug
State Resolved
Priority 2. Medium
Owners selsky (at) columbia (dot) edu
Requester moreda (at) allenta (dot) com
Created 2009-09-23 (4135 days ago)
Due
Updated 2009-09-25 (4133 days ago)
Assigned
Resolved 2009-09-25 (4133 days ago)
Milestone 3.3.6
Patch Yes

History
2009-09-25 14:16:01 CVS Commit Comment #4 Reply to this comment
2009-09-25 09:12:26 Jan Schneider Assigned to Matt Selsky
State ⇒ Resolved
Milestone ⇒ 3.3.6
 
2009-09-25 07:55:39 CVS Commit Comment #3 Reply to this comment
2009-09-25 07:53:30 CVS Commit Comment #2 Reply to this comment
Changes have been made in CVS for this ticket:

Pack data in readBlob() for mssql too.
Bug: 8599
Submitted by: moreda@allenta.com
http://cvs.horde.org/diff.php/framework/SQL/SQL.php?rt=horde&r1=1.53&r2=1.54&ty=u
2009-09-23 17:07:25 moreda (at) allenta (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Broken session data reading in MSSQL
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ Yes
New Attachment: fix-decoding-of-mssql-session-data.diff Download
Reply to this comment
I'm using MSSQL to store session information through PEAR's DB 
abstraction layer.

In lib/Horde/SQL.php there are two functions (insertBlob and 
upadteBlob) where session data is coded using bin2hex() to update the 
session_data field in the case of pgsql and mssql "dbsyntax" . In the 
complementary readBlob function there is no proper decoding for mssql 
"dbsyntax".



See trivial patch attached.


Saved Queries